Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.7.10] [SOLVED] corrupt jarfile problem


sigurd4
 Share

Recommended Posts

i set up forge gradle in another folder (i have another forge gradle somewhere else. not sure if the fact that i have multiple forge gradle setups is a problem) this time in a different version (forge 1.7.10-10.13.0.1180 to be specific) but i am not able to run minecraft. it seems to not be a problem with my mod, but with the jarfile (it says it is corrupt). i tried deleting the jarfile, then reinstalling forge gradle (i was almost sure that would work) but it still didnt work, so i am clueless. the version i used is supposed to be stable so i thought using another version would be pointless. here is the log:

[22:55:52] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
[22:55:52] [main/INFO] [FML]: Forge Mod Loader version 7.10.18.1180 for Minecraft 1.7.10 loading
[22:55:52] [main/INFO] [FML]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre8
[22:55:52] [main/INFO] [FML]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
[22:55:52] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[22:55:52] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[22:55:52] [main/ERROR] [FML]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!
[22:55:54] [main/ERROR] [FML]: The minecraft jar file:/C:/Users/Sigurd/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.10-10.13.0.1180/forgeSrc-1.7.10-10.13.0.1180.jar!/net/minecraft/client/ClientBrandRetriever.class appears to be corrupt! There has been CRITICAL TAMPERING WITH MINECRAFT, it is highly unlikely minecraft will work! STOP NOW, get a clean copy and try again!
[22:55:54] [main/ERROR] [FML]: FML has been ordered to ignore the invalid or missing minecraft certificate. This is very likely to cause a problem!
[22:55:54] [main/ERROR] [FML]: Technical information: ClientBrandRetriever was at jar:file:/C:/Users/Sigurd/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.10-10.13.0.1180/forgeSrc-1.7.10-10.13.0.1180.jar!/net/minecraft/client/ClientBrandRetriever.class, there were 0 certificates for it
[22:55:54] [main/ERROR] [FML]: FML appears to be missing any signature data. This is not a good thing
[22:55:54] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[22:55:54] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
[22:55:55] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
[22:55:55] [main/ERROR] [LaunchWrapper]: Unable to launch
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0]
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0]
at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0]
at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]
at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
Caused by: joptsimple.MissingRequiredOptionException: Missing required option(s) ['userProperties']
at joptsimple.OptionParser.ensureRequiredOptions(OptionParser.java:447) ~[OptionParser.class:?]
at joptsimple.OptionParser.parse(OptionParser.java:437) ~[OptionParser.class:?]
at net.minecraft.client.main.Main.main(Main.java:89) ~[Main.class:?]
... 6 more

what can i do to fix this?

http://www.planetminecraft.com/member/sigurd4

I'm making the bioshock mod!

Link to comment
Share on other sites

first, i went to files.minecraftforge.net and downloaded the stable src build for 1.7.10. then i extracted it into the folder i wanted to use. then open up cmd in that folder and first typed in "gradlew setupDecompWorkspcae" or something like that, then when it was done i typed it "gradlew eclipse" and let that do its thing. then opened up eclipse, created a new java project and chose that folder as the project directory. then i went trough the build.gradlew file and filled it in like this:

buildscript {
    repositories {
        mavenCentral()
        maven {
            name = "forge"
            url = "http://files.minecraftforge.net/maven"
        }
        maven {
            name = "sonatype"
            url = "https://oss.sonatype.org/content/repositories/snapshots/"
        }
    }
    dependencies {
        classpath 'net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT'
    }
}

apply plugin: 'forge'

version = "0.1"
group= "com.sigurd4.modname"
archivesBaseName = "modname"

minecraft {
    version = "1.7.10-10.13.0.1180"
    assetDir = "eclipse/assets"
}

dependencies {}

processResources
{
    inputs.property "version", project.version
    inputs.property "mcversion", project.minecraft.version

    from(sourceSets.main.resources.srcDirs) {
        include 'mcmod.info'
                
        expand 'version':project.version, 'mcversion':project.minecraft.version
    }
        
    from(sourceSets.main.resources.srcDirs) {
        exclude 'mcmod.info'
    }
}

http://www.planetminecraft.com/member/sigurd4

I'm making the bioshock mod!

Link to comment
Share on other sites

ok i removed both projects from eclipse and added one of them, now that works. whats strange is that it now give s me new erros that i didnt have before (specificly, various classes that implements a interface has errors where it has the @Override. that worked before. parhaps the nev version got installed for my old workspace too.) it seems to work as it should, though.

http://www.planetminecraft.com/member/sigurd4

I'm making the bioshock mod!

Link to comment
Share on other sites

  • 2 weeks later...

help

 

the same problem.

did that here suggested - did not help.

 

at first I tried to take the update from 1.7.2 to 1.7.10.

 

error as the author of a topic.

 

then decided to do it all over again.

0. delete all workspace folders

1 downloaded forge-1.7.10-10.13.0.1180-src.zip

2 unpacked in new folder

3 gradle setupDevVorkspake

4. gradlew setupDecompWorkspace

5. gradlew Eclipse

6 launched Eclipse

7 imported project

8 Run created the configuration with the necessary parameters (net.minecraft.launchwrapper.Launch etc.)

9 launched - the error persists.

then do this:

10. gradlew --refresh-dependencies setupDecompWorkspace

11. gradlew Eclipse

launched - the error again remained.

 

 

[12:01:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper

[12:01:32] [main/ERROR] [FML]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!

[12:01:34] [main/ERROR] [FML]: The minecraft jar file:/C:/Users/kwasti/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.10-10.13.0.1180/forgeSrc-1.7.10-10.13.0.1180.jar!/net/minecraft/client/ClientBrandRetriever.class appears to be corrupt! There has been CRITICAL TAMPERING WITH MINECRAFT, it is highly unlikely minecraft will work! STOP NOW, get a clean copy and try again!

[12:01:34] [main/ERROR] [FML]: FML has been ordered to ignore the invalid or missing minecraft certificate. This is very likely to cause a problem!

[12:01:34] [main/ERROR] [FML]: Technical information: ClientBrandRetriever was at jar:file:/C:/Users/kwasti/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.10-10.13.0.1180/forgeSrc-1.7.10-10.13.0.1180.jar!/net/minecraft/client/ClientBrandRetriever.class, there were 0 certificates for it

[12:01:34] [main/ERROR] [FML]: FML appears to be missing any signature data. This is not a good thing

[12:01:34] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper

[12:01:34] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker

[12:01:35] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}

[12:01:35] [main/ERROR] [LaunchWrapper]: Unable to launch

java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_51]

at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_51]

at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_51]

at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_51]

at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]

at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]

Caused by: joptsimple.MissingRequiredOptionException: Missing required option(s) ['userProperties']

at joptsimple.OptionParser.ensureRequiredOptions(OptionParser.java:447) ~[OptionParser.class:?]

at joptsimple.OptionParser.parse(OptionParser.java:437) ~[OptionParser.class:?]

at net.minecraft.client.main.Main.main(Main.java:89) ~[Main.class:?]

 

Link to comment
Share on other sites

In Run Configurations > Java Application > Client: All you need is the Main Class set to "GradleStart"

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.